<html>
<head>
<title>OGRE: Ogre::Profile Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Profile.html">Profile</a></div>
<h1>Ogre::Profile Class Reference</h1><!-- doxytag: class="Ogre::Profile" -->An individual profile that will be processed by the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Profile-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profile.html#cd2fa1bc8d806a65086af24041408c60">Profile</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;profileName)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profile.html#b6e88cfb8d5fa50fb9ea8ff31f74e93c">~Profile</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profile.html#24b779884f27e23f87bb0e9f256d6ac1">mName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The name of this profile.  <a href="#24b779884f27e23f87bb0e9f256d6ac1"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
An individual profile that will be processed by the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Use the macro <a class="el" href="OgreProfiler_8h.html#1654899e6cfdec9f0972a45f3fa3fee7">OgreProfile(name)</a> instead of instantiating this profile directly <p>
We use this <a class="el" href="classOgre_1_1Profile.html" title="An individual profile that will be processed by the Profiler.">Profile</a> to allow scoping rules to signify the beginning and end of the profile. Use the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a> singleton (through the macro <a class="el" href="OgreProfiler_8h.html#f9d7ab83c5a5d7de7579eebe9d27e53d">OgreProfileBegin(name)</a> and <a class="el" href="OgreProfiler_8h.html#292ec22b5d851ef26fa9d7685c18b1f5">OgreProfileEnd(name)</a>) directly if you want a profile to last outside of a scope (ie the main game loop). </dd></dl>
<dl class="author" compact><dt><b>Author:</b></dt><dd>Amit Mathew (amitmathew (at) yahoo (dot) com) </dd></dl>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00078">78</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="cd2fa1bc8d806a65086af24041408c60"></a><!-- doxytag: member="Ogre::Profile::Profile" ref="cd2fa1bc8d806a65086af24041408c60" args="(const String &amp;profileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Profile::Profile           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>profileName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b6e88cfb8d5fa50fb9ea8ff31f74e93c"></a><!-- doxytag: member="Ogre::Profile::~Profile" ref="b6e88cfb8d5fa50fb9ea8ff31f74e93c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Profile::~Profile           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="24b779884f27e23f87bb0e9f256d6ac1"></a><!-- doxytag: member="Ogre::Profile::mName" ref="24b779884f27e23f87bb0e9f256d6ac1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Profile.html#24b779884f27e23f87bb0e9f256d6ac1">Ogre::Profile::mName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The name of this profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00087">87</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:52 2008
</p>
</body>
</html>
